%global packname DelayedArray
%global packver 0.4.1

Name:             R-%{packname}
Version:          %{packver}
Release:          1%{?dist}
Source0:          http://www.bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{packver}.tar.gz
License:          Artistic 2.0
URL:              http://www.bioconductor.org/packages/release/bioc/html/%{packname}.html
Group:            Applications/Engineering
Summary:          Delayed operations on array-like objects
BuildRequires:    R-devel >= 3.4.0, tetex-latex, R-methods, R-BiocGenerics, R-S4Vectors-devel >= 0.15.3, R-IRanges-devel >= 2.11.17, R-matrixStats
BuildArch:        noarch
Requires:         R-core >= 3.4.0
Requires:         R-methods, R-BiocGenerics, R-S4Vectors >= 0.15.3, R-IRanges > 2.11.17, R-matrixStats

%description
Wrapping an array-like object (typically an on-disk object) in a DelayedArray 
object allows one to perform common array operations on it without loading 
the object in memory. In order to reduce memory usage and optimize 
performance, operations on the object are either delayed or executed using a 
block processing mechanism. Note that this also works on in-memory array-like 
objects like DataFrame objects (typically with Rle columns), Matrix objects, 
and ordinary arrays and data frames.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

%check
# Too many missing deps
# %%{_bindir}/R CMD check %%{packname}

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/help
%doc %{_datadir}/R/library/%{packname}/doc
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/unitTests

%changelog
* Wed Mar 14 2018 Tom Callaway <spot@fedoraproject.org> - 0.4.1-1
- update to 0.4.1

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun  7 2017 Tom Callaway <spot@fedoraproject.org> - 0.2.7-1
- update to 0.2.7

* Wed May 31 2017 Tom Callaway <spot@fedoraproject.org> - 0.2.4-1
- initial package
